Evaluation references laboratory workbenches
GET /api/v1/laboratory/workbenches/{workbenchId}/evaluation-references: request fields and declared response contract.
GET/api/v1/laboratory/workbenches/{workbenchId}/evaluation-references
| Property | Value |
|---|---|
| Permission | laboratory.method.read |
| Workspace scope | required |
| Scope target | workspace |
Parameters
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| workbenchId | string | required | non-null | — |
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| revision | integer | required | non-null | — |
| captureTraceId | string | optional | non-null | — |
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | object | required | non-null | — |
| data.state | "ready" | "unavailable" | required | non-null | — |
| data.reason | string | optional | non-null | — |
| data.workbench | object | optional | non-null | — |
| data.workbench.id | string | required | non-null | — |
| data.workbench.revision | integer | required | non-null | — |
| data.workbench.title | string | required | non-null | — |
| data.suites | array | required | non-null | — |
| data.replayCaptures | array | optional | non-null | — |
| data.inputs | array | required | non-null | — |
Declared failures
| Property | Value |
|---|---|
| ACCESS_DENIED | 403 — not retryable |
| CORE_ERROR | 500 — not retryable |
| GOVERNANCE_DENIED | 403 — not retryable |
| NOT_FOUND | 404 — not retryable |
| SETUP_REQUIRED | 503 — not retryable |
| VALIDATION_ERROR | 400 — not retryable |
| VALIDATION_INPUT_ERROR | 400 — not retryable |
Readback
This method returns the current state it read.
- laboratory.workbenches.evaluationReferences
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
GET /api/v1/laboratory/workbenches/{workbenchId}/evaluation-references?revision=0 HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>